DSRW_WRITE_ARRAY_DESC(3)

FUNCTION
dsrw_write_array_desc - Write an array descriptor in binary format.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_write_array_desc

(Channel channel, CONST array_desc *arr_desc)

DESCRIPTION
This routine will write the binary representation of an array descriptor to a channel object. The packet descriptor for the array will also be written (this is a recursive process).

channel
    The channel object.

arr_desc
    The array descriptor.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/